# Class PdfEncoder

java.lang.Object
javajs.img.ImageEncoder
javajs.img.PdfEncoder

All Implemented Interfaces:
  `GenericImageEncoder`

public class PdfEncoder extends ImageEncoder
A relatively primitive PDF generator that just makes a document with an image in it.

## Field Summary

### Fields inherited from class ImageEncoder

`date, doClose, dpi, height, logging, out, pixels, quality, width`

## Constructor Summary

Constructors
Constructor
Description
`PdfEncoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`generate()`
`protected void`
`setParams(Map<String,Object> params)`

### Methods inherited from class ImageEncoder

`close, createImage, putByte, putString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PdfEncoder

public PdfEncoder()

## Method Details

### setParams

protected void setParams(Map<String,Object> params)

Specified by:
  `setParams` in class `ImageEncoder`

### generate

protected void generate() throws Exception

Specified by:
  `generate` in class `ImageEncoder`
Throws:
  `Exception`